import '../../../../core/resources/data_state.dart';
import '../../../../core/usecase/use_case.dart';
import '../entities/user_entity.dart';
import '../repository/auth_repository.dart';

class CheckOtpUseCase implements UseCase<DataState<UserEntity>, OtpParams> {
  final AuthRepository repository;
  CheckOtpUseCase(this.repository);

  @override
  Future<DataState<UserEntity>> call(OtpParams params) =>
      repository.checkOtp(params);
}
